'use strict';

module.exports = (req, res, next) => {
    var token = req.headers['x-robbyson-user'];
    var contractor_id = req.headers['x-contractor-id'];
    if (token) {
        const payload = Buffer.from(token, 'base64');
        req.user = JSON.parse(payload).sub || JSON.parse(payload);
        req.contractor_id = contractor_id;
    } else if (contractor_id) {
        req.contractor_id = contractor_id;
    }
    next();
};